Subject: RE: IPP> IPP, independently of HTTP, Requires Chunking?

From: Scott Lawrence <[email-masked]>
Date: Fri, 17 Apr 1998 10:45:08 -0400 (EDT)

> One caveat with Bob's text. I am seeing that some HTTP 1.1 servers do
> not recognize chunked encodings for PUT operations. Aside from that,
> this is a pretty complete description of how transactions are occuring
> with IPP over HTTP.

  That is just a bug is the server - receiving chunked encoding is a
MUST for any 1.1 implementation.

> > >3) The only situation where chunking is absolutely necessary for IPP,
> > is
> > >the case where the client does not know the document length when it
> > starts
> > >sending the document.
> > 
> > Strictly speaking, this is not a requirement, in that the client could
> > close the connection to signal end-of-data.

  That doesn't work for a request because then there is no connection on
which to send the response.